Bug 238584 - New port: sysutils/sanoid, a zfs snapshot/replication management tool
Summary: New port: sysutils/sanoid, a zfs snapshot/replication management tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-15 17:07 UTC by hartzell
Modified: 2019-10-12 21:39 UTC (History)
2 users (show)

See Also:


Attachments
Shar file of port components (3.56 KB, text/plain)
2019-06-15 17:07 UTC, hartzell
no flags Details
Updated/correct shar file (3.83 KB, text/plain)
2019-06-17 15:23 UTC, hartzell
no flags Details
Shar w/ both sanoid and sanoid-devel ports (7.49 KB, text/plain)
2019-06-19 23:53 UTC, hartzell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hartzell 2019-06-15 17:07:54 UTC
Created attachment 205080 [details]
Shar file of port components

This adds a port for sanoid, a ZFS snapshot and replication tool.

Additional info about sanoid is available at: https://github.com/jimsalterjrs/sanoid

I assembled the port on FreeBSD 12, it passes `port test /usr/ports/sysutils/sanoid`, using `port` from `ports-mgmt/porttools.
Comment 1 hartzell 2019-06-15 18:50:21 UTC
I've found a couple of small fixes that I need to make.  I'll follow up with an update in a day or two.

Apologies!
Comment 2 hartzell 2019-06-17 15:23:43 UTC
Created attachment 205187 [details]
Updated/correct shar file

Updated shar file with fixes for hardcoded paths and location of config files.
Comment 3 hartzell 2019-06-17 15:24:58 UTC
This is ready to go for the current release of sanoid.

Thanks for taking a look, any feedback you can provide, and getting it committed!
Comment 4 hartzell 2019-06-19 23:53:29 UTC
Created attachment 205224 [details]
Shar w/ both sanoid and sanoid-devel ports

I've added a second port, sanoid-devel, which is intended to track interesting moments on the master branch.
Comment 5 commit-hook freebsd_committer 2019-10-12 18:13:36 UTC
A commit references this bug:

Author: rodrigo
Date: Sat Oct 12 18:12:38 UTC 2019
New revision: 514349
URL: https://svnweb.freebsd.org/changeset/ports/514349

Log:
  New ports sysutils/sanoid and sysutils/sanoid-devel

  Sanoid is a policy-driven snapshot management tool
  for ZFS filesystems. You can use Sanoid to create,
  automatically and monitor snapshots.

  Add sysutils/sanoid-devel to track interesting
  moments on the master branch.

  PR:		238584
  Submitted by:	<hartzell@alerce.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/sanoid/
  head/sysutils/sanoid/Makefile
  head/sysutils/sanoid/distinfo
  head/sysutils/sanoid/pkg-descr
  head/sysutils/sanoid/pkg-message
  head/sysutils/sanoid/pkg-plist
  head/sysutils/sanoid-devel/
  head/sysutils/sanoid-devel/Makefile
  head/sysutils/sanoid-devel/distinfo
  head/sysutils/sanoid-devel/pkg-descr
  head/sysutils/sanoid-devel/pkg-message
  head/sysutils/sanoid-devel/pkg-plist
Comment 6 Rodrigo Osorio freebsd_committer 2019-10-12 21:22:54 UTC
Committed with minor changes, thanks.
Comment 7 hartzell 2019-10-12 21:39:38 UTC
You're welcome.  Thanks for the merge!